<bugID>1007460<Summary>Create a calls minimap</Summary><Description>This minimap should be a representation of calls in some profile data. It will display the data as a layered bar graph (x axis: time, y axis: time spent doing certain things), with information like the amount of js/graphics/network/io/etc work performed on each sample (or some other resolution).

Note that this minimap shouldn't be a full blown flamechart (aka a "function calls pyramid"), but just a graph, similar to the framerate widget (bug 1007202).</Description></bugID>